# Copyright (c) 2013, 2016  Dave Love, University of Liverpool
# MIT licence, per Fedora policy.

Name:		graphlib
Version:	3.0.0
Release:	1%{?dist}
Summary:	Library to create, manipulate, and export graphs
License:	LGPLv2
URL:		https://github.com/lee218llnl/graphlib
Source0:        https://github.com/scalability-llnl/graphlib/archive/v%version.tar.gz#/graphlib-v%version.tar.gz
# Add library soversion
Patch1:          graphlib-sover.patch
BuildRequires:	cmake

%global soversion 0.0.0

%description
This library is used in several LLNL projects, including STAT
(the Stack Trace Analysis Tool for scalable debugging) and some
modules in P^nMPI (a tool MPI tool infrastructure). It can
also be used standalone for creating and manipulating graphs,
but its API is primarily tuned to support these other
projects.

%package devel
Summary: Development files for %name
Requires: %name%{?_isa} = %version-%release

%description devel
Development files for %name

%prep
%setup -q
%patch1 -p1
iconv -f ISO-8859-1 -t UTF-8 -o LICENSE LICENSE
chmod -x README.md LICENSE


%build
%cmake . -DSOVERSION=%soversion
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir
mv $RPM_BUILD_ROOT/usr/lib/cmake $RPM_BUILD_ROOT%_datadir
[ $(basename %_libdir) != lib ] &&
  mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT%_libdir


%check
LD_LIBRARY_PATH=$(pwd) ./graphdemo


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%{!?_licensedir:%global license %doc}
%files
%doc README.md
%license LICENSE
%exclude %_bindir/graphdemo
%_bindir/grmerge
%_libdir/*.so.%soversion

%files devel
%_includedir/*
%_libdir/*.so
%_datadir/cmake/*


%changelog
* Sun Oct  2 2016 Dave Love <loveshack@fedoraproject.org> - 3.0.0-1
- New version
- Define library soversion
- Add --devel package
- Add %%check
- Don't ship graphdemo

* Fri Dec 13 2013 Dave Love <d.love@liverpool.ac.uk> - 2.0.0-1
- Initial packaging

